# React Title Case

> Convert a string to Title Case `yohix love github` → `Yohix Love Github`

[![CI](https://github.com/yohix/react-title-case/workflows/CI/badge.svg)](https://github.com/yohix/react-title-case/actions)
[![Version](http://img.shields.io/npm/v/react-title-case.svg?style=flat)](https://badge.fury.io/js/react-title-case)
[![Downloads](https://img.shields.io/npm/dm/react-title-case.svg)](https://npmjs.com/react-title-case)
[![Install size](https://badgen.net/packagephobia/install/react-title-case)](https://packagephobia.now.sh/result?p=react-title-case)

[![NPM](https://nodei.co/npm/react-title-case.png?downloads=true)](https://nodei.co/npm/react-title-case)

## Try in CodeSandbox

[![Edit react-camelcase](https://codesandbox.io/static/img/play-codesandbox.svg)](https://codesandbox.io/s/react-title-case-ypfx8?fontsize=14&hidenavigation=1&theme=dark)

## Install

```
$ npm install react-title-case
```

## Usage

```js
import TitleCase from 'react-title-case';

const App = () => (
  <div>
    <TitleCase string={'yohix love github'} />
  </div>
);

// => 'Yohix Love Github'
```

## API

### string={input}

Type: `string`

```jsx
<TitleCase string={'yohix love github'} />

// => 'Yohix Love Github'
```

## Modules used

- [**title-case**](https://www.npmjs.com/package/title-case) - Transform a string into title case following English rules.

## License

MIT © [Yohix](LICENSE)
